fuzzydl

## Class GeneralConceptInclusion

- java.lang.Object
- - fuzzydl.GeneralConceptInclusion

-     public class GeneralConceptInclusion
      extends java.lang.Object

  General concept inclusion axiom.
  Author:
    Fernando Bobillo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GOEDEL` Goedel implication
    `static int` | `KLEENE_DIENES` Kleene-Dienes implication
    `static int` | `LUKASIEWICZ` Lukasiewicz implication
    `static int` | `ZADEH` Zadeh'set inclusion

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneralConceptInclusion(Concept subsumer, Concept subsumed, Degree degree, int type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Degree` | `getDegree()` Gets the lower bound for the degree.
    `Concept` | `getSubsumed()` Gets the subsumed concept.
    `Concept` | `getSubsumer()` Gets the subsumer concept.
    `int` | `getType()` Gets the type of the GCI (which depends on the fuzzy implication).
    `void` | `setDegree(Degree deg)` Sets the lower bound for the degree.
    `void` | `setSubsumed(Concept newConcept)` Sets the subsumed concept.
    `void` | `setSubsumer(Concept newConcept)` Sets the subsumer concept.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LUKASIEWICZ

          public static final int LUKASIEWICZ

      Lukasiewicz implication
      See Also:
        Constant Field Values

    - #### GOEDEL

          public static final int GOEDEL

      Goedel implication
      See Also:
        Constant Field Values

    - #### KLEENE_DIENES

          public static final int KLEENE_DIENES

      Kleene-Dienes implication
      See Also:
        Constant Field Values

    - #### ZADEH

          public static final int ZADEH

      Zadeh'set inclusion
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GeneralConceptInclusion

          public GeneralConceptInclusion(Concept subsumer,
                                         Concept subsumed,
                                         Degree degree,
                                         int type)

  - ### Method Detail

    - #### getSubsumer

          public Concept getSubsumer()

      Gets the subsumer concept.
      Returns:
        Subsumer concept.

    - #### getSubsumed

          public Concept getSubsumed()

      Gets the subsumed concept.
      Returns:
        Subsumed concept.

    - #### getType

          public int getType()

      Gets the type of the GCI (which depends on the fuzzy implication).
      Returns:
        Type of the GCI.

    - #### getDegree

          public Degree getDegree()

      Gets the lower bound for the degree.
      Returns:
        lLwer bound for the degree

    - #### setDegree

          public void setDegree(Degree deg)

      Sets the lower bound for the degree.
      Parameters:
        `deg` - Lower bound for the degree

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### setSubsumer

          public void setSubsumer(Concept newConcept)

      Sets the subsumer concept.
      Parameters:
        `newConcept` - New subsumer concept.

    - #### setSubsumed

          public void setSubsumed(Concept newConcept)

      Sets the subsumed concept.
      Parameters:
        `newConcept` - New subsumed concept.